This page was not yet optimized for use on mobile devices.
Thales Cryptovisor K7 Cryptographic Module
Certificate details
| Certificate ID | #4327 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 12.10.2022 , 27.02.2023 , 28.11.2023 |
| Standard | FIPS 140-2 |
| Security level | 3 |
| Type | Hardware |
| Embodiment | Multi-Chip Embedded |
| Caveat | When operated in FIPS mode and initialized to Overall Level 3 per Security Policy |
| Description | The Thales Cryptovisor K7 Cryptographic Module is a high-assurance, tamper-resistant Hardware Security Module targeted at the service provider market. The cryptographic module secures sensitive data and critical applications by storing, protecting and managing cryptographic keys. It provides end users with industry-leading security and performance, and can quickly be embedded directly into servers and security appliances for FIPS 140-2 validated key security for elastic deployments, particularly in support of cloud applications. The module meets compliance and audit needs for FIPS 140, HIPA |
| Version (Hardware) | 808-000048-002, 808-000048-003, 808-000073-001 and 808-000073-002 |
| Version (Firmware) | 2.0.0, 2.0.2 and 2.0.5 with Boot Loader versions 1.1.1, 1.1.2 , 1.1.4 and 1.1.5 |
| Vendor | Thales https://www.thalesgroup.com/en/markets/digital-identity-and-security |
| Lab | EWA - Canada |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, AES192, AES256, AES-, CAST5, RC2, RC4, RC5, DES, TDEA, Triple-DES, ARIA, SM4, SEED, HMAC, CMACAsymmetric Algorithms
RSA 2048, RSA-2048, RSA-4096, RSA 4096, RSA-OAEP, RSAOAEP, ECDH, ECDSA, EdDSA, ECC, DH, Diffie-Hellman, DSAHash functions
SHA1, SHA2, SHA3, SHA-3, SHA3-224, SHA3-256, SHA3-384, SHA3-512, MD5, PBKDFSchemes
MAC, Key AgreementRandomness
DRBG, RNG, RBGElliptic Curves
P-224, P-256, P-384, P-521, P-192, B-233, B-283, B-409, B-571, K-233, K-283, K-409, K-571, K-163, B-163, sect571r2, sect571k2, sect409r1, sect409k1, sect283r1, sect283k1, secp256k1, sect239k1, sect233r1, sect233k1, secp224k1, sect193r2, sect193r1, secp192k1, sect163r2, sect163r1, sect163k1, secp160r2, secp160r1, secp160k1, secp384r1, secp521r1, prime239v3, prime239v2, prime239v1, prime192v3, prime192v2, c2pnb368w1, c2pnb359v1, c2pnb304w1, c2pnb272w1, c2pnb239v1, c2pnb239v2, c2pnb239v3, c2pnb191v3, c2pnb191v2, c2pnb191v1, c2pnb163v1, c2pnb163v2, c2pnb163v3, Curve25519Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, XTSVendor
STM, ThalesSecurity level
Level 3Side-channel analysis
physical probing, Timing attacksStandards
FIPS 140-2, FIPS 180-4, FIPS 186-4, FIPS 197, FIPS 202, FIPS 198-1, FIPS PUB 140-2, SP 800-108, PKCS #1, PKCS #11, PKCS#1, RFC 5639, RFC 7516, RFC 7748, X.509Cross-references
Outgoing- 2047 - historical - RSA BSAFE(R) Crypto-C Micro Edition
Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4327,
"dgst": "4babc876be86317d",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#5652",
"#3951",
"#1526",
"RSA#3042",
"#5652",
"#2283",
"SHS#3951",
"KDA#A1171",
"KAS-SSC#A1171",
"KTS-RSA#A1170",
"RSA#3043",
"HMAC#3766",
"CVL#A1171",
"RSA#A1171",
"KTS-RSA#A1171",
"#2632",
"#1452",
"DRBG#2283",
"ECDSA#1526",
"#3952",
"#A1170",
"ECDSA#A1171",
"KBKDF#234",
"RSA#2632",
"KTS#5652",
"RSA#A1170",
"#3766",
"#3042",
"KAS#A1171",
"SHS#3952",
"#234",
"#A1171",
"SHS#4533",
"#3043",
"HMAC#A1171",
"RSA#2631",
"DSA#1452",
"SHA-3#A1171",
"#2631",
"#4533"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"2.0.2",
"1.1.5",
"1.1.2",
"2.0.5",
"1.1.1",
"2.0.0",
"1.1.4"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": {
"_type": "Set",
"elements": [
"2047"
]
},
"indirectly_referenced_by": null,
"indirectly_referencing": {
"_type": "Set",
"elements": [
"2047"
]
}
},
"policy_prunned_references": {
"_type": "Set",
"elements": [
"2047"
]
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 44,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 50
},
"ECDH": {
"ECDH": 15
},
"ECDSA": {
"ECDSA": 15
},
"EdDSA": {
"EdDSA": 2
}
},
"FF": {
"DH": {
"DH": 4,
"Diffie-Hellman": 5
},
"DSA": {
"DSA": 13
}
},
"RSA": {
"RSA 2048": 1,
"RSA 4096": 2,
"RSA-2048": 4,
"RSA-4096": 12,
"RSA-OAEP": 5,
"RSAOAEP": 1
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 6
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 17
},
"OFB": {
"OFB": 2
},
"XTS": {
"XTS": 2
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {
"KA": {
"Key Agreement": 18
},
"MAC": {
"MAC": 19
}
},
"device_model": {},
"ecc_curve": {
"Curve": {
"Curve25519": 1
},
"NIST": {
"B-163": 1,
"B-233": 6,
"B-283": 6,
"B-409": 3,
"B-571": 6,
"K-163": 1,
"K-233": 6,
"K-283": 6,
"K-409": 2,
"K-571": 6,
"P-192": 2,
"P-224": 12,
"P-256": 12,
"P-384": 6,
"P-521": 14,
"c2pnb163v1": 1,
"c2pnb163v2": 1,
"c2pnb163v3": 1,
"c2pnb191v1": 1,
"c2pnb191v2": 1,
"c2pnb191v3": 1,
"c2pnb239v1": 1,
"c2pnb239v2": 1,
"c2pnb239v3": 1,
"c2pnb272w1": 1,
"c2pnb304w1": 1,
"c2pnb359v1": 1,
"c2pnb368w1": 1,
"prime192v2": 1,
"prime192v3": 1,
"prime239v1": 1,
"prime239v2": 1,
"prime239v3": 1,
"secp160k1": 1,
"secp160r1": 1,
"secp160r2": 1,
"secp192k1": 1,
"secp224k1": 1,
"secp256k1": 1,
"secp384r1": 9,
"secp521r1": 3,
"sect163k1": 1,
"sect163r1": 1,
"sect163r2": 1,
"sect193r1": 1,
"sect193r2": 1,
"sect233k1": 1,
"sect233r1": 1,
"sect239k1": 1,
"sect283k1": 1,
"sect283r1": 1,
"sect409k1": 1,
"sect409r1": 1,
"sect571k2": 1,
"sect571r2": 1
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#11": 1,
"#1452": 1,
"#1453": 1,
"#1526": 2,
"#2043": 1,
"#2044": 1,
"#2047": 1,
"#2283": 3,
"#234": 1,
"#2631": 1,
"#2632": 1,
"#3042": 1,
"#3043": 1,
"#3766": 1,
"#3951": 1,
"#3952": 1,
"#4533": 2,
"#4534": 1,
"#5652": 6
}
},
"fips_certlike": {
"Certlike": {
"#5652 AES": 1,
"AES #5652": 6,
"AES 5653": 1,
"AES-256": 53,
"AES-GCM 2": 1,
"AES-GCM 256": 3,
"AES192": 1,
"AES256": 17,
"Cert #2043 RSA": 1,
"Cert #2044 RSA": 1,
"Cert AES": 1,
"Cert SHS": 1,
"Cert. AES": 1,
"DRBG #2283": 3,
"DSA #1452": 1,
"DSA #1453": 1,
"HMAC #3766": 2,
"HMAC-SHA1": 6,
"PKCS #1": 2,
"PKCS #11": 2,
"PKCS#1": 4,
"RSA #2631": 1,
"RSA #2632": 1,
"RSA #3042": 1,
"RSA #3043": 1,
"RSA 2048": 1,
"RSA 4096": 2,
"RSASSA-PKCS1-v1_5": 1,
"SHA-3": 2,
"SHA1": 21,
"SHA2": 2,
"SHA2- 224": 5,
"SHA2- 256": 5,
"SHA2- 384": 9,
"SHA2- 512": 6,
"SHA2-224": 28,
"SHA2-256": 33,
"SHA2-384": 32,
"SHA2-512": 32,
"SHA3": 8,
"SHA3- 224": 2,
"SHA3- 256": 3,
"SHA3- 384": 2,
"SHA3- 512": 5,
"SHA3-224": 22,
"SHA3-256": 21,
"SHA3-384": 21,
"SHA3-512": 19,
"SHS #3951": 1,
"SHS #3952": 1,
"SHS #4533": 2,
"SHS cert #4534": 1
}
},
"fips_security_level": {
"Level": {
"Level 3": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 1
}
},
"PBKDF": {
"PBKDF": 1
},
"SHA": {
"SHA1": {
"SHA1": 21
},
"SHA2": {
"SHA2": 2
},
"SHA3": {
"SHA-3": 2,
"SHA3": 8,
"SHA3-224": 22,
"SHA3-256": 21,
"SHA3-384": 21,
"SHA3-512": 19
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 89
},
"RNG": {
"RBG": 1,
"RNG": 5
}
},
"side_channel_analysis": {
"SCA": {
"Timing attacks": 1,
"physical probing": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 47,
"FIPS 180-4": 2,
"FIPS 186-4": 31,
"FIPS 197": 4,
"FIPS 198-1": 3,
"FIPS 202": 8,
"FIPS PUB 140-2": 1
},
"NIST": {
"SP 800-108": 1
},
"PKCS": {
"PKCS #1": 1,
"PKCS #11": 1,
"PKCS#1": 2
},
"RFC": {
"RFC 5639": 16,
"RFC 7516": 3,
"RFC 7748": 3
},
"X509": {
"X.509": 13
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 24,
"AES-": 4,
"AES-256": 53,
"AES192": 1,
"AES256": 17
},
"CAST": {
"CAST5": 2
},
"RC": {
"RC2": 2,
"RC4": 2,
"RC5": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 1
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"CMAC": 5,
"HMAC": 9
}
},
"miscellaneous": {
"ARIA": {
"ARIA": 2
},
"SEED": {
"SEED": 2
},
"SM4": {
"SM4": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"STMicroelectronics": {
"STM": 11
},
"Thales": {
"Thales": 201
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#5652",
"RSA#3042",
"SHS#3951",
"KDA#A1171",
"KAS-SSC#A1171",
"KTS-RSA#A1170",
"RSA#3043",
"HMAC#3766",
"CVL#A1171",
"RSA#A1171",
"KTS-RSA#A1171",
"DRBG#2283",
"ECDSA#1526",
"ECDSA#A1171",
"KBKDF#234",
"RSA#2632",
"KTS#5652",
"RSA#A1170",
"KAS#A1171",
"SHS#3952",
"SHS#4533",
"HMAC#A1171",
"RSA#2631",
"DSA#1452",
"SHA-3#A1171"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#234",
"#3951",
"#1526",
"#A1171",
"#5652",
"#3043",
"#2283",
"#3952",
"#A1170",
"#3766",
"#2632",
"#1452",
"#3042",
"#2631",
"#4533"
]
},
"policy_metadata": {
"/Author": "Graham Costa",
"/CreationDate": "D:20231120121236-05\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/MSIP_Label_cf20372f-9ab3-4551-9149-9f9b12e2c27e_ActionId": "b2693d9d-8a9e-462d-b4cd-7e75a7968ae5",
"/MSIP_Label_cf20372f-9ab3-4551-9149-9f9b12e2c27e_ContentBits": "0",
"/MSIP_Label_cf20372f-9ab3-4551-9149-9f9b12e2c27e_Enabled": "true",
"/MSIP_Label_cf20372f-9ab3-4551-9149-9f9b12e2c27e_Method": "Privileged",
"/MSIP_Label_cf20372f-9ab3-4551-9149-9f9b12e2c27e_Name": "DIS OPEN",
"/MSIP_Label_cf20372f-9ab3-4551-9149-9f9b12e2c27e_SetDate": "2023-11-20T12:54:15Z",
"/MSIP_Label_cf20372f-9ab3-4551-9149-9f9b12e2c27e_SiteId": "6e603289-5e46-4e26-ac7c-03a85420a9a5",
"/ModDate": "D:20231120121236-05\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 1450583,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/Projects/Cryptographic-Algorithm-Validation-Program/Validation/Validation-List/SHS#4534",
"https://supportportal.thalesgroup.com/csm",
"https://csrc.nist.gov/Projects/Cryptographic-Algorithm-Validation-Program/Validation/Validation-List/AES#5652",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?product=8490",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?product=9898",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?product=8491",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?product=9897"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 74
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "472e224e429ce324e5b2fa39ee5ab61c7e421fe6a4c027c21121fb6685e83a15",
"source_hash": "f69837ecc1bc40809c0e81268b0ec0515c0f59081a83763239685050285a6ffe",
"txt_hash": "9c1eed3e96e1b6287bc4281088babc377e6bf805fc7947794812f18163f1dc4a"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and initialized to Overall Level 3 per Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/October 2022_021122_1233_signed.pdf",
"date_sunset": null,
"description": "The Thales Cryptovisor K7 Cryptographic Module is a high-assurance, tamper-resistant Hardware Security Module targeted at the service provider market. The cryptographic module secures sensitive data and critical applications by storing, protecting and managing cryptographic keys. It provides end users with industry-leading security and performance, and can quickly be embedded directly into servers and security appliances for FIPS 140-2 validated key security for elastic deployments, particularly in support of cloud applications. The module meets compliance and audit needs for FIPS 140, HIPA",
"embodiment": "Multi-Chip Embedded",
"exceptions": null,
"fw_versions": "2.0.0, 2.0.2 and 2.0.5 with Boot Loader versions 1.1.1, 1.1.2 , 1.1.4 and 1.1.5",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "808-000048-002, 808-000048-003, 808-000073-001 and 808-000073-002",
"level": 3,
"mentioned_certs": {},
"module_name": "Thales Cryptovisor K7 Cryptographic Module",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-10-12",
"lab": "EWA - Canada",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-02-27",
"lab": "EWA - Canada",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-11-28",
"lab": "EWA - Canada",
"validation_type": "Update"
}
],
"vendor": "Thales",
"vendor_url": "https://www.thalesgroup.com/en/markets/digital-identity-and-security"
}
}